import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-route-center-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}
//开启禁用 GET
export function openorforbidden(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerInfo/open-or-forbidden',
    method: 'get',
    params: params,
    // params: params
  })
}

// /containerInfo/save-containerInfo

export function SaveContainerInfo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerInfo/save-containerInfo',
    method: 'get',
    params: params,
    // params: params
  })
}

//   删除容器号也可批量删除 POST

//   /containerInfo/del-containerInfo-containerNo

export function delcontainerNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerInfo/del-containerInfo-containerNo',
    method: 'post',
    data: params,
    // params: params
  })
}
